PContainerReference Class Reference

`#include <contain.h>`

## Public Member Functions

__inline | PContainerReference (PINDEX initialSize, bool isConst=false)
__inline | PContainerReference (const PContainerReference &ref)
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes

PINDEX | size
PAtomicInteger | count
bool | deleteObjects
bool | constObject

## Constructor & Destructor Documentation

## PContainerReference() [1/2]

__inline PContainerReference::PContainerReference | ( | PINDEX | initialSize,
|  | bool | isConst = `false`
| ) |  |

inline

## PContainerReference() [2/2]

__inline PContainerReference::PContainerReference | ( | const PContainerReference & | ref | ) |

inline

## Member Function Documentation

## PDECLARE_POOL_ALLOCATOR()

PContainerReference::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

## constObject

bool PContainerReference::constObject

## count

PAtomicInteger PContainerReference::count

## deleteObjects

bool PContainerReference::deleteObjects

Referenced by PQueue< PXML >::PQueue(), PSet< T >::PSet(), PStack< T >::PStack(), and PStringDictionary< K >::RemoveAt().

## size

PINDEX PContainerReference::size

The documentation for this class was generated from the following file:

- contain.h